This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1023745 - [abrt] gtkpod-2.1.3-2.fc19: type_check_is_value_type_U: Process /usr/bin/gtkpod was killed by signal 11 (SIGSEGV)
[abrt] gtkpod-2.1.3-2.fc19: type_check_is_value_type_U: Process /usr/bin/gtkp...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtkpod (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:db5bd316c7dd66d81206a12655b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-27 11:17 EDT by groug
Modified: 2015-02-18 06:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:38:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.30 KB, text/plain)
2013-10-27 11:17 EDT, groug
no flags Details
File: cgroup (140 bytes, text/plain)
2013-10-27 11:17 EDT, groug
no flags Details
File: core_backtrace (16.31 KB, text/plain)
2013-10-27 11:17 EDT, groug
no flags Details
File: dso_list (13.18 KB, text/plain)
2013-10-27 11:17 EDT, groug
no flags Details
File: environ (3.64 KB, text/plain)
2013-10-27 11:17 EDT, groug
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-27 11:17 EDT, groug
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-27 11:17 EDT, groug
no flags Details
File: maps (66.77 KB, text/plain)
2013-10-27 11:17 EDT, groug
no flags Details
File: open_fds (1020 bytes, text/plain)
2013-10-27 11:17 EDT, groug
no flags Details
File: proc_pid_status (958 bytes, text/plain)
2013-10-27 11:17 EDT, groug
no flags Details
File: var_log_messages (719 bytes, text/plain)
2013-10-27 11:17 EDT, groug
no flags Details
ugly debug and workaround tentative (806 bytes, patch)
2013-11-07 19:37 EST, groug
no flags Details | Diff

  None (edit)
Description groug 2013-10-27 11:17:07 EDT
Description of problem:
1) plug a Ipod Touch 1G
2) mount the Ipod with the mount action in thunar
3) launch gtkpod

Version-Release number of selected component:
gtkpod-2.1.3-2.fc19

Additional info:
reporter:       libreport-2.1.8
abrt_installed_version: abrt-2.1.8-1.fc19.x86_64
backtrace_rating: 4
cmdline:        gtkpod
crash_function: type_check_is_value_type_U
executable:     /usr/bin/gtkpod
kernel:         3.11.6-200.fc19.x86_64
libreport_version: libreport-2.1.8-1.fc19.x86_64
runlevel:       N 5
satyr_version:  satyr-0.10-1.fc19.x86_64
type:           CCpp
uid:            503

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 type_check_is_value_type_U at gtype.c:4131
 #1 g_type_check_value_holds at gtype.c:4180
 #2 playcounts_plist_read at itdb_itunesdb.c:1178
 #3 playcounts_init at itdb_itunesdb.c:1319
 #4 itdb_parse_internal at itdb_itunesdb.c:3309
 #5 itdb_parse at itdb_itunesdb.c:3364
 #6 gp_import_itdb at file_itunesdb.c:592
 #7 gp_merge_itdb at file_itunesdb.c:848
 #8 gp_load_ipod at file_itunesdb.c:966
 #9 ad_timeout_cb at autodetection.c:294
Comment 1 groug 2013-10-27 11:17:12 EDT
Created attachment 816522 [details]
File: backtrace
Comment 2 groug 2013-10-27 11:17:15 EDT
Created attachment 816523 [details]
File: cgroup
Comment 3 groug 2013-10-27 11:17:18 EDT
Created attachment 816524 [details]
File: core_backtrace
Comment 4 groug 2013-10-27 11:17:23 EDT
Created attachment 816525 [details]
File: dso_list
Comment 5 groug 2013-10-27 11:17:26 EDT
Created attachment 816526 [details]
File: environ
Comment 6 groug 2013-10-27 11:17:29 EDT
Created attachment 816527 [details]
File: exploitable
Comment 7 groug 2013-10-27 11:17:33 EDT
Created attachment 816528 [details]
File: limits
Comment 8 groug 2013-10-27 11:17:38 EDT
Created attachment 816529 [details]
File: maps
Comment 9 groug 2013-10-27 11:17:41 EDT
Created attachment 816530 [details]
File: open_fds
Comment 10 groug 2013-10-27 11:17:45 EDT
Created attachment 816531 [details]
File: proc_pid_status
Comment 11 groug 2013-10-27 11:17:48 EDT
Created attachment 816532 [details]
File: var_log_messages
Comment 12 Gwyn Ciesla 2013-11-06 09:59:36 EST
2.1.4 just hit rawhide, please test and see if that helps.  If you can't install it, please let me know what Fedora release and arch you need a build for.

http://koji.fedoraproject.org/koji/buildinfo?buildID=476496
Comment 13 groug 2013-11-06 10:30:51 EST
I'll try ASAP but FYI, the very same error happens with banshee and rhythmbox... what about libgpod ?
Comment 14 groug 2013-11-06 17:00:09 EST
I tried 2.1.4 and it fails with a different error:

Program received signal SIGSEGV, Segmentation fault.
0x0000003d990352f6 in anjuta_plugin_handle_get_description ()
   from /lib64/libanjuta-3.so.0
(gdb) where
#0  0x0000003d990352f6 in anjuta_plugin_handle_get_description ()
   from /lib64/libanjuta-3.so.0
#1  0x0000000000408cf6 in about_create_plugins_submenu ()
#2  0x000000000040cfdd in anjuta_window_instance_init ()
#3  0x0000003f3fe2fa9c in g_type_create_instance (type=9072688) at gtype.c:1917
#4  0x0000003f3fe14598 in g_object_constructor (type=<optimized out>, 
    n_construct_properties=3, construct_params=0x8a8ed0) at gobject.c:1855
#5  0x0000003f3fe15b19 in g_object_newv (
    object_type=object_type@entry=9072688, n_parameters=n_parameters@entry=1, 
    parameters=parameters@entry=0x8a8cc0) at gobject.c:1719
#6  0x0000003f3fe162e6 in g_object_new_valist (
    object_type=object_type@entry=9072688, 
    first_property_name=first_property_name@entry=0x40e3ec "title", 
    var_args=var_args@entry=0x7fffffffdb48) at gobject.c:1836
#7  0x0000003f3fe16654 in g_object_new (object_type=9072688, 
    first_property_name=0x40e3ec "title") at gobject.c:1551
#8  0x000000000040b0d4 in anjuta_window_new ()
#9  0x000000000040d9ce in gtkpod_init ()
#10 0x000000000040813a in main ()
Comment 15 groug 2013-11-06 17:45:28 EST
(In reply to groug from comment #14)
> I tried 2.1.4 and it fails with a different error:
> 
> Program received signal SIGSEGV, Segmentation fault.
> 0x0000003d990352f6 in anjuta_plugin_handle_get_description ()
>    from /lib64/libanjuta-3.so.0
> (gdb) where
> #0  0x0000003d990352f6 in anjuta_plugin_handle_get_description ()
>    from /lib64/libanjuta-3.so.0
> #1  0x0000000000408cf6 in about_create_plugins_submenu ()
> #2  0x000000000040cfdd in anjuta_window_instance_init ()
> #3  0x0000003f3fe2fa9c in g_type_create_instance (type=9072688) at
> gtype.c:1917
> #4  0x0000003f3fe14598 in g_object_constructor (type=<optimized out>, 
>     n_construct_properties=3, construct_params=0x8a8ed0) at gobject.c:1855
> #5  0x0000003f3fe15b19 in g_object_newv (
>     object_type=object_type@entry=9072688,
> n_parameters=n_parameters@entry=1, 
>     parameters=parameters@entry=0x8a8cc0) at gobject.c:1719
> #6  0x0000003f3fe162e6 in g_object_new_valist (
>     object_type=object_type@entry=9072688, 
>     first_property_name=first_property_name@entry=0x40e3ec "title", 
>     var_args=var_args@entry=0x7fffffffdb48) at gobject.c:1836
> #7  0x0000003f3fe16654 in g_object_new (object_type=9072688, 
>     first_property_name=0x40e3ec "title") at gobject.c:1551
> #8  0x000000000040b0d4 in anjuta_window_new ()
> #9  0x000000000040d9ce in gtkpod_init ()
> #10 0x000000000040813a in main ()

This new issue is tracked under:

https://bugzilla.redhat.com/show_bug.cgi?id=1027462
Comment 16 groug 2013-11-06 17:47:47 EST
(In reply to groug from comment #13)
> I'll try ASAP but FYI, the very same error happens with banshee and
> rhythmbox... what about libgpod ?

Please have a look to the same issue in rhythmbox:

https://bugzilla.redhat.com/show_bug.cgi?id=1027481
Comment 17 groug 2013-11-07 19:37:50 EST
Created attachment 821354 [details]
ugly debug and workaround tentative

We run into the issue while looping through an array in playcounts_plist_read():

mhyp seek: 26c
get_mhod_type seek: 2d8
get_mhod seek: 728
get_mhod_type seek: 2d8
ml: ffffffff type: 1
get_mhod_type seek: 31a
pln: Music Library(0 Itdb_Tracks) 
mhyp seek: 26c
get_mhod_type seek: 2d8
get_mhod seek: 728
get_mhod_type seek: 2d8
ml: ffffffff type: 1
get_mhod_type seek: 310
pln: Podcasts(0 Itdb_Tracks) 
playcounts_plist_read: skipping i = 1
playcounts_plist_read: skipping i = 4
playcounts_plist_read: skipping i = 7
playcounts_plist_read: skipping i = 10
playcounts_plist_read: skipping i = 13
playcounts_plist_read: skipping i = 16
playcounts_plist_read: skipping i = 19
playcounts_plist_read: skipping i = 22
playcounts_plist_read: skipping i = 25
playcounts_plist_read: skipping i = 28
playcounts_plist_read: skipping i = 31
playcounts_plist_read: skipping i = 34
playcounts_plist_read: skipping i = 37
playcounts_plist_read: skipping i = 40
playcounts_plist_read: skipping i = 43
playcounts_plist_read: skipping i = 46
playcounts_plist_read: skipping i = 49
get_mhit seek: 1b0
...

All the skipped indexes lead to SEGV without this patch.

This patch is completly empirical but I hope it helps to spot the real issue.
Comment 18 JRB 2013-11-30 10:36:29 EST
I believe this fixes the issue: https://github.com/jburton/libgpod/commit/342d49c5577682dd4fba35bfd5fb15f7287c7d5a
Comment 19 Fedora End Of Life 2015-01-09 17:21:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-02-18 06:38:46 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.